<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<!DOCTYPE html>
<html>

<head>
    <script src="https://www.liyansheng.top/cdn/watermark.js"></script>
    <script>
        // 定义一个函数，用于刷新验证码
        function refreshCaptcha() {
            const captchaImage = document.getElementById("captchaImage");
            captchaImage.src = "/captcha?timestamp=" + new Date().getTime(); // 添加时间戳避免缓存
        }
    </script>
</head>

<body>
    <h2>-电脑商城-用户登录</h2>
    <form action="login" method="post">
        <label for="username">用户名:</label>
        <input type="text" id="username" name="username" required><br><br>
        <label for="password">密码:</label>
        <input type="password" id="password" name="password" required><br><br>
        <label for="captcha">验证码</label>
        <input type="text" id="captcha" name="captcha" required>
        <img id="captchaImage" src="/captcha" alt="验证码" onclick="refreshCaptcha()" style="cursor: pointer;" title="点击刷新验证码"><br><br>
        <button type="submit">登录</button>
        <a href="/register">没有账号?去注册</a>
    </form>
    <br>
    ${requestScope.msg}
</body>

</html>
